<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: color_box Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classcolor__box-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">color_box Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for color_box:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcolor__box.png" usemap="#color_5Fbox_map" alt=""/>
  <map id="color_5Fbox_map" name="color_5Fbox_map">
<area href="classdlib_1_1draggable.html" alt="dlib::draggable" shape="rect" coords="0,56,95,80"/>
<area href="classdlib_1_1drawable.html" alt="dlib::drawable" shape="rect" coords="0,0,95,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a104e683eaaccfd14c387a12164b5fa26"><td class="memItemLeft" align="right" valign="top"><a id="a104e683eaaccfd14c387a12164b5fa26"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>color_box</b> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> area, unsigned char red_, unsigned char green_, unsigned char blue_)</td></tr>
<tr class="separator:a104e683eaaccfd14c387a12164b5fa26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1draggable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1draggable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1draggable.html">dlib::draggable</a></td></tr>
<tr class="memitem:ac7ff477374e8a9b527694d288779fe43 inherit pub_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1draggable.html#ac7ff477374e8a9b527694d288779fe43">draggable</a> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events=0)</td></tr>
<tr class="separator:ac7ff477374e8a9b527694d288779fe43 inherit pub_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24a0f9b597e59baba83c33ac8ca0cc7c inherit pub_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="a24a0f9b597e59baba83c33ac8ca0cc7c"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>draggable_area</b> () const</td></tr>
<tr class="separator:a24a0f9b597e59baba83c33ac8ca0cc7c inherit pub_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f29859852a68b6cdb837bce6eade904 inherit pub_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="a3f29859852a68b6cdb837bce6eade904"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_draggable_area</b> (const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &amp;area_)</td></tr>
<tr class="separator:a3f29859852a68b6cdb837bce6eade904 inherit pub_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:aaf2c3807920230e74ecbe84e98fb4ec5 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aaf2c3807920230e74ecbe84e98fb4ec5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>drawable</b> (<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;w, unsigned long events_=0)</td></tr>
<tr class="separator:aaf2c3807920230e74ecbe84e98fb4ec5 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6d00bd7fea303c26671198f5094675 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a8a6d00bd7fea303c26671198f5094675"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>z_order</b> () const</td></tr>
<tr class="separator:a8a6d00bd7fea303c26671198f5094675 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a797265ad4f1f553706f9bab7f2d020ca inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a797265ad4f1f553706f9bab7f2d020ca"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_z_order</b> (long order)</td></tr>
<tr class="separator:a797265ad4f1f553706f9bab7f2d020ca inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03018c52aba1e5bf783f816292214311 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a03018c52aba1e5bf783f816292214311"></a>
const <a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_rect</b> () const</td></tr>
<tr class="separator:a03018c52aba1e5bf783f816292214311 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eaed8ef49cda60e2c8543f3b9245e5a inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a2eaed8ef49cda60e2c8543f3b9245e5a"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>bottom</b> () const</td></tr>
<tr class="separator:a2eaed8ef49cda60e2c8543f3b9245e5a inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c550642726658e72af70bc35c552bc inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aa6c550642726658e72af70bc35c552bc"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>top</b> () const</td></tr>
<tr class="separator:aa6c550642726658e72af70bc35c552bc inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80b8b9d20f5dbb5c0faa69f7badbf2e inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ad80b8b9d20f5dbb5c0faa69f7badbf2e"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>left</b> () const</td></tr>
<tr class="separator:ad80b8b9d20f5dbb5c0faa69f7badbf2e inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5c28297f9854588e8591379a03ba78c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ac5c28297f9854588e8591379a03ba78c"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>right</b> () const</td></tr>
<tr class="separator:ac5c28297f9854588e8591379a03ba78c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196e6cdd2eccd24aa9ca2d7f3fe7adad inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a196e6cdd2eccd24aa9ca2d7f3fe7adad"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>width</b> () const</td></tr>
<tr class="separator:a196e6cdd2eccd24aa9ca2d7f3fe7adad inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab204119df30daf1cac93769a95610c47 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab204119df30daf1cac93769a95610c47"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>height</b> () const</td></tr>
<tr class="separator:ab204119df30daf1cac93769a95610c47 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4452d3e639fe7e9a13d1e74a533a69 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4a4452d3e639fe7e9a13d1e74a533a69"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_enabled</b> () const</td></tr>
<tr class="separator:a4a4452d3e639fe7e9a13d1e74a533a69 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4fa9cb6b21ecd945101e5f0da189f4c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="af4fa9cb6b21ecd945101e5f0da189f4c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>enable</b> ()</td></tr>
<tr class="separator:af4fa9cb6b21ecd945101e5f0da189f4c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85b0cde5837a8b18623e956d59031877 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a85b0cde5837a8b18623e956d59031877"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>disable</b> ()</td></tr>
<tr class="separator:a85b0cde5837a8b18623e956d59031877 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab9e34959c0d0e3a4023f7c9655833cd inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aab9e34959c0d0e3a4023f7c9655833cd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_main_font</b> (const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt; &amp;f)</td></tr>
<tr class="separator:aab9e34959c0d0e3a4023f7c9655833cd inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81968bfce5906931c912588b6b8638cb inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a81968bfce5906931c912588b6b8638cb"></a>
const <a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>main_font</b> () const</td></tr>
<tr class="separator:a81968bfce5906931c912588b6b8638cb inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452ba54faf5da3cd786c8c480c5f8c11 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a452ba54faf5da3cd786c8c480c5f8c11"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_hidden</b> () const</td></tr>
<tr class="separator:a452ba54faf5da3cd786c8c480c5f8c11 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e23dc807f8d491d5cac06a20af348c inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a10e23dc807f8d491d5cac06a20af348c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>set_pos</b> (long x, long y)</td></tr>
<tr class="separator:a10e23dc807f8d491d5cac06a20af348c inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dccf98d453c184f1cc4594b68765fc3 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a5dccf98d453c184f1cc4594b68765fc3"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>show</b> ()</td></tr>
<tr class="separator:a5dccf98d453c184f1cc4594b68765fc3 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a781e6c0be15045828cd88d67d5671681 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a781e6c0be15045828cd88d67d5671681"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>hide</b> ()</td></tr>
<tr class="separator:a781e6c0be15045828cd88d67d5671681 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0d82ff05bcef44c93467cbf50db9d2b inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ac0d82ff05bcef44c93467cbf50db9d2b"></a>
<a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent_window</b> ()</td></tr>
<tr class="separator:ac0d82ff05bcef44c93467cbf50db9d2b inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af92f5f4489e7104d2f2f7d852ab63d5f inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="af92f5f4489e7104d2f2f7d852ab63d5f"></a>
const <a class="el" href="classdlib_1_1base__window.html">base_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent_window</b> () const</td></tr>
<tr class="separator:af92f5f4489e7104d2f2f7d852ab63d5f inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4904dab7f1e8b7bf6854f21c442a58f1 inherit pub_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4904dab7f1e8b7bf6854f21c442a58f1"></a>
virtual int&#160;</td><td class="memItemRight" valign="bottom"><b>next_free_user_event_number</b> () const</td></tr>
<tr class="separator:a4904dab7f1e8b7bf6854f21c442a58f1 inherit pub_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a482fba0c594389ea4aff61c8b1dcba42"><td class="memItemLeft" align="right" valign="top"><a id="a482fba0c594389ea4aff61c8b1dcba42"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>action</b> ()</td></tr>
<tr class="separator:a482fba0c594389ea4aff61c8b1dcba42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c0e2f138515ffbfc4ca6eb7ed3bd20a"><td class="memItemLeft" align="right" valign="top"><a id="a3c0e2f138515ffbfc4ca6eb7ed3bd20a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>draw</b> (const <a class="el" href="classdlib_1_1canvas.html">canvas</a> &amp;c) const</td></tr>
<tr class="separator:a3c0e2f138515ffbfc4ca6eb7ed3bd20a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5f9519c49f44363262a2922ba458456"><td class="memItemLeft" align="right" valign="top"><a id="ad5f9519c49f44363262a2922ba458456"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_up</b> (unsigned long state)</td></tr>
<tr class="separator:ad5f9519c49f44363262a2922ba458456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaef78082416221c5429dfa2c22bc381"><td class="memItemLeft" align="right" valign="top"><a id="adaef78082416221c5429dfa2c22bc381"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_wheel_down</b> (unsigned long state)</td></tr>
<tr class="separator:adaef78082416221c5429dfa2c22bc381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab467619a23eb8db143eefca36daf8592"><td class="memItemLeft" align="right" valign="top"><a id="ab467619a23eb8db143eefca36daf8592"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_resized</b> ()</td></tr>
<tr class="separator:ab467619a23eb8db143eefca36daf8592"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aab0d31782b8a2513d1eaf22c836f34a6"><td class="memItemLeft" align="right" valign="top"><a id="aab0d31782b8a2513d1eaf22c836f34a6"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>red</b></td></tr>
<tr class="separator:aab0d31782b8a2513d1eaf22c836f34a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a8863938488ca7e940fbd1d65d6e6c8"><td class="memItemLeft" align="right" valign="top"><a id="a7a8863938488ca7e940fbd1d65d6e6c8"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>green</b></td></tr>
<tr class="separator:a7a8863938488ca7e940fbd1d65d6e6c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7837e26a4fb4dba9073124e81a9bf1aa"><td class="memItemLeft" align="right" valign="top"><a id="a7837e26a4fb4dba9073124e81a9bf1aa"></a>
unsigned char&#160;</td><td class="memItemRight" valign="bottom"><b>blue</b></td></tr>
<tr class="separator:a7837e26a4fb4dba9073124e81a9bf1aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8adea5de309d3bb602979ab81a687f6b"><td class="memItemLeft" align="right" valign="top"><a id="a8adea5de309d3bb602979ab81a687f6b"></a>
<a class="el" href="classdlib_1_1timer.html">timer</a>&lt; <a class="el" href="classcolor__box.html">color_box</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>t</b></td></tr>
<tr class="separator:a8adea5de309d3bb602979ab81a687f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1draggable"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1draggable')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1draggable.html">dlib::draggable</a></td></tr>
<tr class="memitem:aec2bb10fcf881796f10c219c3d4bccce inherit pro_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="aec2bb10fcf881796f10c219c3d4bccce"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_being_dragged</b> () const</td></tr>
<tr class="separator:aec2bb10fcf881796f10c219c3d4bccce inherit pro_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06cdf9edbd6315e236e3321e0fa69879 inherit pro_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="a06cdf9edbd6315e236e3321e0fa69879"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_drag</b> ()</td></tr>
<tr class="separator:a06cdf9edbd6315e236e3321e0fa69879 inherit pro_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac2ffcfa5179ae912d7c347212809f15 inherit pro_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="aac2ffcfa5179ae912d7c347212809f15"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_drag_stop</b> ()</td></tr>
<tr class="separator:aac2ffcfa5179ae912d7c347212809f15 inherit pro_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f7fe3a1aafb66af8d8dafbf33a3bf7 inherit pro_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="ae4f7fe3a1aafb66af8d8dafbf33a3bf7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_move</b> (unsigned long state, long x, long y)</td></tr>
<tr class="separator:ae4f7fe3a1aafb66af8d8dafbf33a3bf7 inherit pro_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3cd791ee2ef8a5cce3832bd019240e0 inherit pro_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="af3cd791ee2ef8a5cce3832bd019240e0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_down</b> (unsigned long btn, unsigned long, long x, long y, bool)</td></tr>
<tr class="separator:af3cd791ee2ef8a5cce3832bd019240e0 inherit pro_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14859237346fc730f078f82e9d923cf4 inherit pro_methods_classdlib_1_1draggable"><td class="memItemLeft" align="right" valign="top"><a id="a14859237346fc730f078f82e9d923cf4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_up</b> (unsigned long btn, unsigned long state, long x, long y)</td></tr>
<tr class="separator:a14859237346fc730f078f82e9d923cf4 inherit pro_methods_classdlib_1_1draggable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:adee9bca08d896eb22489c3cfd681d9a4 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="adee9bca08d896eb22489c3cfd681d9a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>enable_events</b> ()</td></tr>
<tr class="separator:adee9bca08d896eb22489c3cfd681d9a4 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fbbe9d1525025a7bdee050a5f084e02 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a1fbbe9d1525025a7bdee050a5f084e02"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>events_are_enabled</b> () const</td></tr>
<tr class="separator:a1fbbe9d1525025a7bdee050a5f084e02 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ca01468d7084f30cd1209a0844f0522 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4ca01468d7084f30cd1209a0844f0522"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>disable_events</b> ()</td></tr>
<tr class="separator:a4ca01468d7084f30cd1209a0844f0522 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a25ae71dce6f47746b3999d823dab08 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a5a25ae71dce6f47746b3999d823dab08"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_user_event</b> (int)</td></tr>
<tr class="separator:a5a25ae71dce6f47746b3999d823dab08 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab61e2b0cb016cb1767845ffb609bec15 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab61e2b0cb016cb1767845ffb609bec15"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_window_moved</b> ()</td></tr>
<tr class="separator:ab61e2b0cb016cb1767845ffb609bec15 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86850b574000c85bd857384bdfc1fa57 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a86850b574000c85bd857384bdfc1fa57"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_leave</b> ()</td></tr>
<tr class="separator:a86850b574000c85bd857384bdfc1fa57 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a687a82017dd5ab56dbb18ed2e3edc8 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a0a687a82017dd5ab56dbb18ed2e3edc8"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_mouse_enter</b> ()</td></tr>
<tr class="separator:a0a687a82017dd5ab56dbb18ed2e3edc8 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ce944b2577b79ca6f4135f66cbb822 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a60ce944b2577b79ca6f4135f66cbb822"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_gained</b> ()</td></tr>
<tr class="separator:a60ce944b2577b79ca6f4135f66cbb822 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb02825157c23d038d0ff75c90d2501c inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aeb02825157c23d038d0ff75c90d2501c"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_focus_lost</b> ()</td></tr>
<tr class="separator:aeb02825157c23d038d0ff75c90d2501c inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6fac7832cefb891c5d6ef6e9573dbd4 inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ae6fac7832cefb891c5d6ef6e9573dbd4"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_keydown</b> (unsigned long, bool, unsigned long)</td></tr>
<tr class="separator:ae6fac7832cefb891c5d6ef6e9573dbd4 inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa58265c0f77fc0c3fe00d3321432d3f inherit pro_methods_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aaa58265c0f77fc0c3fe00d3321432d3f"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>on_string_put</b> (const std::wstring &amp;)</td></tr>
<tr class="separator:aaa58265c0f77fc0c3fe00d3321432d3f inherit pro_methods_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classdlib_1_1drawable"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classdlib_1_1drawable')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classdlib_1_1drawable.html">dlib::drawable</a></td></tr>
<tr class="memitem:aea22da8d8ad763076f9718d69c798502 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aea22da8d8ad763076f9718d69c798502"></a>
<a class="el" href="classdlib_1_1rectangle.html">rectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect</b></td></tr>
<tr class="separator:aea22da8d8ad763076f9718d69c798502 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab70f407d170ece5fb4e766f4c3e32d4b inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ab70f407d170ece5fb4e766f4c3e32d4b"></a>
const <a class="el" href="classdlib_1_1rmutex.html">rmutex</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:ab70f407d170ece5fb4e766f4c3e32d4b inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa068c946f4656895ef141da7c37c5aa6 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="aa068c946f4656895ef141da7c37c5aa6"></a>
<a class="el" href="classdlib_1_1drawable__window.html">drawable_window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>parent</b></td></tr>
<tr class="separator:aa068c946f4656895ef141da7c37c5aa6 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1139fb338e681f4c53a87c59ee497618 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a1139fb338e681f4c53a87c59ee497618"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>hidden</b></td></tr>
<tr class="separator:a1139fb338e681f4c53a87c59ee497618 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a844287f45a8d646f012eebbfba029513 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a844287f45a8d646f012eebbfba029513"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>enabled</b></td></tr>
<tr class="separator:a844287f45a8d646f012eebbfba029513 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4178f81e3ff2046ca232f30f7c06b6a6 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a4178f81e3ff2046ca232f30f7c06b6a6"></a>
const long &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>lastx</b></td></tr>
<tr class="separator:a4178f81e3ff2046ca232f30f7c06b6a6 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a078ba62ef935062ee59f488f81a1fff0 inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="a078ba62ef935062ee59f488f81a1fff0"></a>
const long &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>lasty</b></td></tr>
<tr class="separator:a078ba62ef935062ee59f488f81a1fff0 inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13a66d5be88ef169fdd0977f32f2c6c inherit pro_attribs_classdlib_1_1drawable"><td class="memItemLeft" align="right" valign="top"><a id="ae13a66d5be88ef169fdd0977f32f2c6c"></a>
<a class="el" href="classdlib_1_1shared__ptr__thread__safe.html">shared_ptr_thread_safe</a>&lt; <a class="el" href="classdlib_1_1font.html">font</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mfont</b></td></tr>
<tr class="separator:ae13a66d5be88ef169fdd0977f32f2c6c inherit pro_attribs_classdlib_1_1drawable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gui/main.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
